import {
  NavigationGuardNext,
  RouteLocationNormalized,
  RouteRecordRaw,
} from "vue-router";

import NProgress from "@/utils/nprogress";
import { TOKEN_KEY } from "@/enums/CacheEnum";
import router from "@/router";
import { usePermissionStore, useUserStore } from "@/store";
export function setupPermission() {
  // 白名单路由
  const whiteList = ["/login"];

  router.beforeEach(async (to, from, next) => {
    NProgress.start();
    const hasToken = localStorage.getItem(TOKEN_KEY);

    if (true) {
      if (to.path === "/login") {
        // 如果已登录，跳转到首页
        next({ path: "/" });
        NProgress.done();
      } else {
        debugger;
        // const userStore = useUserStore();

        // await userStore.getUserInfo();
        const permissionStore = usePermissionStore();
        const dynamicRoutes = permissionStore.routes;
        dynamicRoutes.forEach((route: RouteRecordRaw) =>
          router.addRoute(route)
        );

        next();

        // if (permissionStore.routes.length === 0) {
        //   const dynamicRoutes = await permissionStore.generateRoutes();
        //   dynamicRoutes.forEach((route: RouteRecordRaw) =>
        //     router.addRoute(route)
        //   );
        //   next({ ...to, replace: true });
        // } else {
        //   // 如果未匹配到任何路由，跳转到404页面
        //   if (to.matched.length === 0) {
        //     next(from.name ? { name: from.name } : "/404");
        //   } else {
        //     // 如果路由参数中有 title，覆盖路由元信息中的 title
        //     const title =
        //       (to.params.title as string) || (to.query.title as string);
        //     if (title) {
        //       to.meta.title = title;
        //     }
        //     next();
        //   }
        // }
      }
    } else {
    }
  });

  router.afterEach(() => {
    NProgress.done();
  });
}

/** 重定向到登录页 */
function redirectToLogin(
  to: RouteLocationNormalized,
  next: NavigationGuardNext
) {
  const params = new URLSearchParams(to.query as Record<string, string>);
  const queryString = params.toString();
  const redirect = queryString ? `${to.path}?${queryString}` : to.path;
  next(`/login?redirect=${encodeURIComponent(redirect)}`);
}

/** 判断是否有权限 */
export function hasAuth(
  value: string | string[],
  type: "button" | "role" = "button"
) {
  // const { roleList, perm } = useUserStore().user;

  // if (roleList.length === 0) {
  //   ElMessage.error("当前用户未配置任何权限");
  //   return false;
  // }
  // // 超级管理员 拥有所有权限
  // if (type === "button" && roleList[0].roleCode.includes("ROOT")) {
  //   return true;
  // }

  // const auths = type === "button" ? perm : roleList;
  // return typeof value === "string"
  //   ? auths.includes(value)
  //   : value.some((perm) => auths.includes(perm));
  return true;
}
